#ifndef AJOUTERCONTACT_H
#define AJOUTERCONTACT_H

#include <QDialog>

#include "ui_ajoutercontact.h"

#define Contact "C:/Contact/Contact.data"
#define Configuration "C:/Contact/Config.data"

namespace Ui {
class ajoutercontact ;
}

class ajoutercontact : public QDialog, public Ui::ajoutercontact
{
    Q_OBJECT


public:

    ajoutercontact(QWidget *parent = 0);
    void Afficherstring(QString s);
    QString GenerateName();


private slots:

    void on_ParcourirButton_clicked();
    void setPhoto(QString path);
    void ReadAndAplyConfiguration();
    void ValiderLesChamps();

    void on_EmailLineEdit_textChanged();
    void on_DomicileLineEdit_textChanged();
    void on_PortableLineEdit_textChanged();

public :

    QString path ,line ;

};

#endif // AJOUTERCONTACT_H
